Subject: draft-ietf-httpbis-header-structure-latest, "4.1. Dictionaries"

From: Julian Reschke <[email-masked]>
Date: Sun, 18 Mar 2018 13:26:29 +0100

> 4.1. Dictionaries
> 
> Dictionaries are unordered maps of key-value pairs, where the keys are identifiers (Section 4.8) and the values are items (Section 4.4). There can be from 1 to 1024 members, and keys are required to be unique.
> 
> In the textual HTTP serialisation, keys and values are separated by “=” (without whitespace), and key/value pairs are separated by a comma with optional whitespace. Duplicate keys MUST cause parsing to fail.
> 
> dictionary        = dictionary_member 0*1023( OWS "," OWS dictionary_member )
> dictionary_member = identifier "=" item

I note that this is essentially uses the RFC 7230 list notation, without 
saying so.

However:

<https://greenbytes.de/tech/webdav/rfc7230.html#field.order>:

"A sender MUST NOT generate multiple header fields with the same field 
name in a message unless either the entire field value for that header 
field is defined as a comma-separated list [i.e., #(values)] or the 
header field is a well-known exception (as noted below)."

So the RFC 7230 rule wouldn't technically apply. Isn't that a problem?

Best regards, Julian